DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DJ_RPLossless Class Reference

representation parameter for lossless JPEG More...

Inheritance diagram for DJ_RPLossless:

## Public Member Functions
| DJ_RPLossless (int aPrediction=1, int aPt=0)
| constructor More...
| DJ_RPLossless (const DJ_RPLossless &arg)
| copy constructor
virtual | ~DJ_RPLossless ()
| destructor
virtual DcmRepresentationParameter * | clone () const
| this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass. More...
virtual const char * | className () const
| returns the class name as string. More...
virtual OFBool | operator== (const DcmRepresentationParameter &arg) const
| compares an object to another DcmRepresentationParameter. More...
int | getPrediction () const
| returns the prediction value More...
int | getPointTransformation () const
| returns the point transform More...
Public Member Functions inherited from DcmRepresentationParameter
| DcmRepresentationParameter ()
| default constructor
| DcmRepresentationParameter (const DcmRepresentationParameter &)
| copy constructor
virtual | ~DcmRepresentationParameter ()
| destructor

## Private Attributes
int | prediction
| prediction value
int | pt
| point transform value

## Detailed Description

representation parameter for lossless JPEG

## Constructor & Destructor Documentation

## ◆ DJ_RPLossless()

DJ_RPLossless::DJ_RPLossless | ( | int | aPrediction = `1`,
|  | int | aPt = `0`
| ) |  |

constructor

Parameters

  aPrediction | prediction value
  aPt | point transform value

## Member Function Documentation

## ◆ className()

virtual const char* DJ_RPLossless::className | ( |  | ) | const
| virtual

returns the class name as string.

can be used in operator== as poor man's RTTI replacement.

Implements DcmRepresentationParameter.

## ◆ clone()

virtual DcmRepresentationParameter* DJ_RPLossless::clone | ( |  | ) | const
| virtual

this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.

Returns
  copy of this object

Implements DcmRepresentationParameter.

## ◆ getPointTransformation()

int DJ_RPLossless::getPointTransformation | ( |  | ) | const
| inline

returns the point transform

Returns
  point transform

## ◆ getPrediction()

int DJ_RPLossless::getPrediction | ( |  | ) | const
| inline

returns the prediction value

Returns
  prediction value

## ◆ operator==()

virtual OFBool DJ_RPLossless::operator== | ( | const DcmRepresentationParameter & | arg | ) | const
| virtual

compares an object to another DcmRepresentationParameter.

Implementation must make sure that classes are comparable.

Parameters

  arg | representation parameter to compare with

Returns
  true if equal, false otherwise.

Implements DcmRepresentationParameter.

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/djrplol.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1